Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml
[Java] Class SAXBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.xml.SAXBuilder

    public class SAXBuilder
    extends BuilderSupport

A builder for generating W3C SAX events. Use similar to MarkupBuilder.

Authors:
  James Strachan

Version:
  \$Revision: 19470 \$

Constructor Summary
`SAXBuilder(ContentHandler handler)`

Method Summary
`protected Object` | `createNode(Object name)`
`protected Object` | `createNode(Object name, Object value)`
`protected Object` | `createNode(Object name, Map attributeMap, Object text)`
`protected Object` | `createNode(Object name, Map attributes)`
`protected void` | `doStartElement(Object name, Attributes attributes)`
`protected void` | `handleException(SAXException e)`
`protected void` | `nodeCompleted(Object parent, Object name)`
`protected void` | `setParent(Object parent, Object child)`

Methods inherited from class BuilderSupport
createNode, createNode, createNode, createNode, doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent, setParent

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SAXBuilder

    public SAXBuilder(ContentHandler handler)

Method Detail

### createNode

    protected Object createNode(Object name)

### createNode

    protected Object createNode(Object name, Object value)

### createNode

    protected Object createNode(Object name, Map attributeMap, Object text)

### createNode

    protected Object createNode(Object name, Map attributes)

### doStartElement

    protected void doStartElement(Object name, Attributes attributes)

### handleException

    protected void handleException(SAXException e)

### nodeCompleted

    protected void nodeCompleted(Object parent, Object name)

### setParent

    protected void setParent(Object parent, Object child)

Copyright © 2003-2010 The Codehaus. All rights reserved.